=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2011-03-07 11:59:53 +0000
+++ drizzled/sql_select.cc	2011-03-09 19:16:32 +0000
@@ -202,9 +202,9 @@
     true  an error occured
     false ok
 */
-bool fix_inner_refs(Session *session, 
-                    List<Item> &all_fields, 
-                    Select_Lex *select, 
+bool fix_inner_refs(Session *session,
+                    List<Item> &all_fields,
+                    Select_Lex *select,
                     Item **ref_pointer_array)
 {
   Item_outer_ref *ref;
@@ -356,16 +356,16 @@
 */
 bool select_query(Session *session,
                   Item ***rref_pointer_array,
-                  TableList *tables, 
-                  uint32_t wild_num, 
+                  TableList *tables,
+                  uint32_t wild_num,
                   List<Item> &fields,
-                  COND *conds, 
-                  uint32_t og_num,  
+                  COND *conds,
+                  uint32_t og_num,
                   Order *order,
                   Order *group,
-                  Item *having, 
+                  Item *having,
                   uint64_t select_options,
-                  select_result *result, 
+                  select_result *result,
                   Select_Lex_Unit *unit,
                   Select_Lex *select_lex)
 {
@@ -545,7 +545,7 @@
                          DYNAMIC_ARRAY *keyuse,
                          JoinTable *join_tab,
                          uint32_t tables,
-                         COND *cond, 
+                         COND *cond,
                          COND_EQUAL *,
                          table_map normal_tables,
                          Select_Lex *select_lex,
@@ -562,7 +562,7 @@
     except BETWEEN predicates that have 3 arguments and
     IN predicates.
     This any predicate if it's not BETWEEN/IN can be used
-    directly to fill at most 2 array elements, either of KeyField 
+    directly to fill at most 2 array elements, either of KeyField
     or SargableParam type. For a BETWEEN predicate 3 elements
     can be filled as this predicate is considered as
     saragable with respect to each of its argument.
@@ -662,7 +662,7 @@
           use->getTable()->const_key_parts[use->getKey()]|= use->getKeypartMap();
         if (use->getKey() == prev->getKey() && use->getTable() == prev->getTable())
         {
-          if (prev->getKeypart() + 1 < use->getKeypart() || 
+          if (prev->getKeypart() + 1 < use->getKeypart() ||
               ((prev->getKeypart() == use->getKeypart()) && found_eq_constant))
             continue;				/* remove */
         }
@@ -957,8 +957,8 @@
     *e1= e2;
 }
 
-bool create_ref_for_key(Join *join, 
-                        JoinTable *j, 
+bool create_ref_for_key(Join *join,
+                        JoinTable *j,
                         optimizer::KeyUse *org_keyuse,
                         table_map used_tables)
 {
@@ -1634,7 +1634,7 @@
     false   otherwise
 */
 static bool check_row_equality(Session *session,
-                               Item *left_row, 
+                               Item *left_row,
                                Item_row *right_row,
                                COND_EQUAL *cond_equal,
                                List<Item>* eq_list)
@@ -2402,7 +2402,7 @@
       args[1]= tmp;
       func->update_used_tables();
       if ((functype == Item_func::EQ_FUNC || functype == Item_func::EQUAL_FUNC) &&
-	        and_father != cond && 
+	        and_father != cond &&
           ! left_item->const_item())
       {
         cond->marker=1;
@@ -2425,7 +2425,7 @@
       value= tmp;
       func->update_used_tables();
       if ((functype == Item_func::EQ_FUNC || functype == Item_func::EQUAL_FUNC) &&
-          and_father != cond && 
+          and_father != cond &&
           ! right_item->const_item())
       {
         args[0]= args[1];                       // For easy check
@@ -2469,9 +2469,9 @@
   return conds;
 }
 
-static void propagate_cond_constants(Session *session, 
-                                     list<COND_CMP>& save_list, 
-                                     COND *and_father, 
+static void propagate_cond_constants(Session *session,
+                                     list<COND_CMP>& save_list,
+                                     COND *and_father,
                                      COND *cond)
 {
   if (cond->type() == Item::COND_ITEM)
@@ -2730,7 +2730,7 @@
       if (*cond_value == Item::COND_UNDEF)
 	      *cond_value= tmp_cond_value;
 
-      switch (tmp_cond_value) 
+      switch (tmp_cond_value)
       {
         case Item::COND_OK:			/* Not true or false */
           if (and_level || (*cond_value == Item::COND_FALSE))
@@ -2762,7 +2762,7 @@
       return (COND*) NULL;
 
     if (((Item_cond*) cond)->argument_list()->size() == 1)
-    {						
+    {
       /* Argument list contains only one element, so reduce it so a single item, then remove list */
       item= &((Item_cond*) cond)->argument_list()->front();
       ((Item_cond*) cond)->argument_list()->clear();
@@ -2786,11 +2786,11 @@
     if (args[0]->type() == Item::FIELD_ITEM)
     {
       Field *field= ((Item_field*) args[0])->field;
-      if (field->flags & AUTO_INCREMENT_FLAG 
-          && ! field->getTable()->maybe_null 
+      if (field->flags & AUTO_INCREMENT_FLAG
+          && ! field->getTable()->maybe_null
           && session->options & OPTION_AUTO_IS_NULL
           && (
-            session->first_successful_insert_id_in_prev_stmt > 0 
+            session->first_successful_insert_id_in_prev_stmt > 0
             && session->substitute_null_with_insert_id
             )
           )
@@ -2817,8 +2817,8 @@
 #ifdef NOTDEFINED
       /* fix to replace 'NULL' dates with '0' (shreeve@uci.edu) */
       else if (
-          ((field->type() == DRIZZLE_TYPE_DATE) || (field->type() == DRIZZLE_TYPE_DATETIME)) 
-          && (field->flags & NOT_NULL_FLAG) 
+          ((field->type() == DRIZZLE_TYPE_DATE) || (field->type() == DRIZZLE_TYPE_DATETIME))
+          && (field->flags & NOT_NULL_FLAG)
           && ! field->table->maybe_null)
       {
         COND *new_cond;
@@ -2857,7 +2857,7 @@
     return (COND *) NULL;
   }
   else if ((*cond_value= cond->eq_cmp_result()) != Item::COND_OK)
-  {						
+  {
     /* boolan compare function */
     Item *left_item=	((Item_func*) cond)->arguments()[0];
     Item *right_item= ((Item_func*) cond)->arguments()[1];
@@ -4063,7 +4063,7 @@
         if (fix)
           new_cond->argument_list()->push_back(fix);
       }
-      switch (new_cond->argument_list()->size()) 
+      switch (new_cond->argument_list()->size())
       {
         case 0:
           return (COND*) 0;			// Always true
@@ -4166,7 +4166,7 @@
       if (field->eq(key_part->field) &&
 	  !(key_part->key_part_flag & HA_PART_KEY_SEG) &&
           //If field can be NULL, we should not remove this predicate, as
-          //it may lead to non-rejection of NULL values. 
+          //it may lead to non-rejection of NULL values.
           !(field->real_maybe_null()))
       {
 	return table->reginfo.join_tab->ref.items[part];
@@ -4860,7 +4860,7 @@
 
         /* ORDER BY range_key DESC */
         tmp= new optimizer::QuickSelectDescending((optimizer::QuickRangeSelect*)(select->quick),
-                                                  used_key_parts, 
+                                                  used_key_parts,
                                                   &error);
         if (! tmp || error)
         {
@@ -4980,8 +4980,8 @@
         For impossible ranges (like when doing a lookup on NULL on a NOT NULL
         field, quick will contain an empty record set.
       */
-      if (! (select->quick= (optimizer::get_quick_select_for_ref(session, 
-                                                                 table, 
+      if (! (select->quick= (optimizer::get_quick_select_for_ref(session,
+                                                                 table,
                                                                  &tab->ref,
                                                                  tab->found_records))))
       {
@@ -5108,7 +5108,7 @@
   @note
     Note that this will not work on tables with blobs!
 */
-int remove_dup_with_hash_index(Session *session, 
+int remove_dup_with_hash_index(Session *session,
                                Table *table,
                                uint32_t field_count,
                                Field **first_field,
@@ -5117,15 +5117,12 @@
 {
   unsigned char *key_pos, *record=table->getInsertRecord();
   int error;
-  Cursor *cursor= table->cursor;
+  Cursor &cursor= *table->cursor;
   uint32_t extra_length= ALIGN_SIZE(key_length)-key_length;
   uint32_t *field_length;
   HASH hash;
-  std::vector<unsigned char> key_buffer;
-  std::vector<uint32_t> field_lengths;
-
-  key_buffer.resize((key_length + extra_length) * (long) cursor->stats.records);
-  field_lengths.resize(field_count);
+  std::vector<unsigned char> key_buffer((key_length + extra_length) * (long) cursor.stats.records);
+  std::vector<uint32_t> field_lengths(field_count);
 
   {
     Field **ptr;
@@ -5142,26 +5139,22 @@
     extra_length= ALIGN_SIZE(key_length)-key_length;
   }
 
-  if (hash_init(&hash, &my_charset_bin, (uint32_t) cursor->stats.records, 0,
-		key_length, (hash_get_key) 0, 0, 0))
-  {
-    return(1);
-  }
+  if (hash_init(&hash, &my_charset_bin, (uint32_t) cursor.stats.records, 0, key_length, (hash_get_key) 0, 0, 0))
+    return 1;
 
-  if ((error= cursor->startTableScan(1)))
+  if ((error= cursor.startTableScan(1)))
     goto err;
 
   key_pos= &key_buffer[0];
   for (;;)
   {
-    unsigned char *org_key_pos;
     if (session->getKilled())
     {
       session->send_kill_message();
       error=0;
       goto err;
     }
-    if ((error=cursor->rnd_next(record)))
+    if ((error=cursor.rnd_next(record)))
     {
       if (error == HA_ERR_RECORD_DELETED)
         continue;
@@ -5171,13 +5164,13 @@
     }
     if (having && !having->val_int())
     {
-      if ((error=cursor->deleteRecord(record)))
+      if ((error=cursor.deleteRecord(record)))
         goto err;
       continue;
     }
 
     /* copy fields to key buffer */
-    org_key_pos= key_pos;
+    unsigned char* org_key_pos= key_pos;
     field_length= &field_lengths[0];
     for (Field **ptr= first_field ; *ptr ; ptr++)
     {
@@ -5188,7 +5181,7 @@
     if (hash_search(&hash, org_key_pos, key_length))
     {
       /* Duplicated found ; Remove the row */
-      if ((error=cursor->deleteRecord(record)))
+      if ((error=cursor.deleteRecord(record)))
         goto err;
     }
     else
@@ -5196,17 +5189,17 @@
     key_pos+=extra_length;
   }
   hash_free(&hash);
-  cursor->extra(HA_EXTRA_NO_CACHE);
-  (void) cursor->endTableScan();
-  return(0);
+  cursor.extra(HA_EXTRA_NO_CACHE);
+  (void) cursor.endTableScan();
+  return 0;
 
 err:
   hash_free(&hash);
-  cursor->extra(HA_EXTRA_NO_CACHE);
-  (void) cursor->endTableScan();
+  cursor.extra(HA_EXTRA_NO_CACHE);
+  (void) cursor.endTableScan();
   if (error)
     table->print_error(error,MYF(0));
-  return(1);
+  return 1;
 }
 
 SortField *make_unireg_sortorder(Order *order, uint32_t *length, SortField *sortorder)
@@ -5337,8 +5330,8 @@
   @retval
     true  if error occurred
 */
-static bool find_order_in_list(Session *session, 
-                               Item **ref_pointer_array, 
+static bool find_order_in_list(Session *session,
+                               Item **ref_pointer_array,
                                TableList *tables,
                                Order *order,
                                List<Item> &fields,
@@ -5872,7 +5865,7 @@
 	     !real_pos->with_sum_func)
     {						// Save for send fields
       pos= real_pos;
-      /* 
+      /*
         @todo In most cases this result will be sent to the user.
         This should be changed to use copy_int or copy_real depending
         on how the value is to be used: In some cases this may be an

=== modified file 'drizzled/xid.cc'
--- drizzled/xid.cc	2011-03-08 10:16:48 +0000
+++ drizzled/xid.cc	2011-03-10 18:09:05 +0000
@@ -18,15 +18,12 @@
  */
 
 #include <config.h>
-#include <string.h>
+#include <cstring>
 
-#include <drizzled/my_hash.h>
 #include <drizzled/xid.h>
 #include <drizzled/charset.h>
 #include <drizzled/global_charset_info.h>
 #include <drizzled/charset_info.h>
-#include <boost/thread/locks.hpp>
-#include <boost/thread/mutex.hpp>
 
 namespace drizzled {
 

